uuid: d9e37332-6bd4-4b71-8389-b566a3f405cc
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_industry_council_member
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Nodes (Industry council member)'
source:
  plugin: d7_node
  node_type: industry_council_member
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  comment_node_industry_council_member/0/status:
    -
      plugin: get
      source: comment
  body:
    -
      plugin: get
      source: body
  field_council_image:
    -
      plugin: sub_process
      source: field_council_image
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_council_url:
    -
      plugin: field_link
      source: field_council_url
destination:
  plugin: 'entity:node'
  default_bundle: industry_council_member
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_comment_field_instance
